package ${basePackage}.module.system.req;

import org.hibernate.validator.constraints.Length;
import ${basePackage}.frame.base.BaseRequest;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * DictCreateRequest - 字典新增
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class DictCreateRequest extends BaseRequest {

    /**
     * 字典名称
     */
    @NotBlank(message = "[dictName]字典名称不能为空")
    @Length(min = 1, max = 50, message = "字典名称长度不合法(1-50)")
    private String dictName;

    /**
     * 字典代码
     */
    @NotBlank(message = "[dictComment]字典描述不能为空")
    @Length(min = 1, max = 50, message = "字典描述长度不合法(1-50)")
    private String dictComment;

    /**
     * 字典版本
     */
    @NotBlank(message = "[version]字典版本不能为空")
    @Length(min = 1, max = 50, message = "字典版本长度不合法(1-50)")
    private String version;

    /**
     * 是否有效
     */
    @NotNull(message = "[valid]是否有效不能为NULL")
    private Boolean valid;

    public String getDictName() {
        return this.dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getDictComment() {
        return this.dictComment;
    }

    public void setDictComment(String dictComment) {
        this.dictComment = dictComment;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}
